Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.profile
Interface IProfileProvider

public interface IProfileProvider

An interface used to initiate access to and obtain user profile information from a remote system.

Method Summary
`IUser` | `attachToUser(int UserID, java.lang.String LoginName, java.lang.String UniqueName, java.lang.String LastSignature)` Gets an `IUser` object used to query for properties on the specified user.
`java.lang.String` | `getGlobalSignature()` Returns a global signature or last-modified date to the portal, used to determine whether the profile information for any users has changed.
`void` | `initialize(java.lang.String[] PropertyList, ProfileInfo ProfileSourceInfo)` Initializes the profile provider using the information configured in the portal by the administrator.
`void` | `shutdown()` Cleans up any resources used by the profile provider

Method Detail

### initialize

    public void initialize(java.lang.String[] PropertyList,
                           ProfileInfo ProfileSourceInfo)
                    throws ServiceException

  Initializes the profile provider using the information configured in the portal by the administrator.

  Parameters:
    `PropertyList` - the list of properties the portal is requesting
    `ProfileSourceInfo` - the data set in the SCI pages of the Profile Source. Note that all the names in the `NamedValue`s of ProfileSourceInfo will be uppercase.
  Throws:
    `ServiceException` - if an error occurred.

### getGlobalSignature

    public java.lang.String getGlobalSignature()
                                        throws ServiceException

  Returns a global signature or last-modified date to the portal, used to determine whether the profile information for any users has changed. There are no restrictions on the string used as the global signature.

  Returns:
    the global signature
  Throws:
    `ServiceException` - if an error occurred.

### attachToUser

    public IUser attachToUser(int UserID,
                              java.lang.String LoginName,
                              java.lang.String UniqueName,
                              java.lang.String LastSignature)
                       throws ServiceException

  Gets an `IUser` object used to query for properties on the specified user. Throws a `NoSuchUserException` if the given parameters do not match any user in the backend system.

  Parameters:
    `UserID` - the ID of the user
    `LoginName` - the portal login name for the user
    `UniqueName` - the unique name within this profile service
    `LastSignature` - the portal's last known signature for this user.
  Returns:
    an instance of the implementation of the `IUser` interface
  Throws:
    `NoSuchUserException` - if the requested user does not exist
    `ServiceException` - if an error occurred

### shutdown

    public void shutdown()
                  throws ServiceException

  Cleans up any resources used by the profile provider

  Throws:
    `ServiceException` - if an error occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.